package me.km.events;

import net.minecraft.entity.player.ServerPlayerEntity;
import net.minecraft.util.DamageSource;
import net.minecraftforge.event.entity.living.LivingHurtEvent;
import net.minecraftforge.eventbus.api.Cancelable;

@Cancelable
public class PlayerHurtEvent extends LivingHurtEvent
{
    private final ServerPlayerEntity p;
    
    public PlayerHurtEvent(ServerPlayerEntity p, DamageSource source, float amount) 
    {
        super(p, source, amount);
        this.p = p;
    }

    public ServerPlayerEntity getPlayer() 
    {
        return p;
    }
}
