package me.km.events;

import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.entity.projectile.ThrowableEntity;
import net.minecraft.world.World;
import net.minecraftforge.event.entity.player.PlayerEvent;

public class ThrowableLaunchEvent extends PlayerEvent 
{
    private final ThrowableEntity thrown;
    private final World world;
    
    public ThrowableLaunchEvent(PlayerEntity player, ThrowableEntity thrown, World world) 
    {
        super(player);
        this.thrown = thrown;
        this.world = world;
    }

    public ThrowableEntity getThrowable() 
    {
        return thrown;
    }

    public World getWorld() 
    {
        return world;
    }
}
