package me.km.module;

import java.util.Collections;
import me.km.module.Module;
import net.minecraft.command.ICommandSource;

public abstract class ModuleCommand
{
    private final Module m;
    
    public ModuleCommand(Module m)
    {
        this.m = m;
    }
    
    public final Module getModule()
    {
        return m;
    }
    
    public abstract String getName();
    
    public Iterable<String> getAliases()
    {
        return Collections.EMPTY_LIST;
    }
    
    public abstract void execute(ICommandSource cs, String[] arg);
}
