package me.km.utils;

import java.lang.reflect.Field;
import java.util.Map;
import static me.km.utils.ReflectionUtils.getField;
import net.minecraft.client.Minecraft;
import net.minecraft.client.gui.overlay.BossOverlayGui;
import net.minecraftforge.api.distmarker.Dist;
import net.minecraftforge.api.distmarker.OnlyIn;

@OnlyIn(Dist.CLIENT)
public class ClientReflectionUtils
{
    // -----------------------------------------------------------------------------------
    // BossOverlayGui
    // -----------------------------------------------------------------------------------
    
    private final static Field BOSS_BAR_MAP = getField(BossOverlayGui.class, "field_184060_g");

    public static boolean isRenderingBossBar()
    {
        return !ReflectionUtils.getFieldValue(Map.class, Minecraft.getInstance().ingameGUI.getBossOverlay(), BOSS_BAR_MAP).isEmpty();
    }
}
