package me.km.snuviscript;

import java.util.UUID;

public interface IScriptBank
{
    public void setVar(String value, String var, UUID uuid);
    public void deleteVar(String var, UUID uuid);
    public Object getVar(String var, UUID uuid, Object error);
    public Object getVar(String var, UUID uuid);    
    public void addMapElement(String map, String key, String value);
    public void removeMapElement(String map, String key);
    public void removeMap(String map);   
    public Object getMapValue(String map, String key);
    public void addDualMapElement(String map, String key, String key2, String value);
    public void removeDualMapElement(String map, String key);
    public void removeDualMap(String map);
    public void removeDualMapElement(String map, String key, String key2);
    public Object getDualMapValue(String map, String key, String key2);
}
