package me.km.utils;

import net.minecraft.entity.player.ServerPlayerEntity;
import net.minecraft.network.play.server.SUpdateTileEntityPacket;
import net.minecraft.tileentity.SignTileEntity;
import net.minecraft.util.text.StringTextComponent;
import net.minecraft.world.World;

public class SpecialBlockUtils 
{
    public static void setSignLine(SignTileEntity sign, int line, String text, boolean update)
    {
        if(line < 0 || line > 3)
        {
            return;
        }
        sign.signText[line] = new StringTextComponent(text);
        if(update)
        {
            SUpdateTileEntityPacket packet = sign.getUpdatePacket();
            World w = sign.getWorld();
            if(w != null)
            {
                w.getPlayers().stream().filter(p -> p instanceof ServerPlayerEntity)
                        .forEach(p -> ((ServerPlayerEntity) p).connection.sendPacket(packet));
            }
        }
    }
    
    public static void setSignLine(SignTileEntity sign, int line, String text)
    {
        setSignLine(sign, line, text, true);
    }
}
