package me.km.utils;

import net.minecraft.entity.player.ServerPlayerEntity;
import net.minecraft.network.play.server.STitlePacket;
import net.minecraft.util.text.StringTextComponent;

public class TitleUtils 
{
    public static void setTitleTime(ServerPlayerEntity p, int fadeIn, int stay, int fadeOut)
    {
        p.connection.sendPacket(new STitlePacket(fadeIn, stay, fadeOut));
    }
    
    public static void clearTitle(ServerPlayerEntity p)
    {
        p.connection.sendPacket(new STitlePacket(STitlePacket.Type.CLEAR, null));
        p.connection.sendPacket(new STitlePacket(STitlePacket.Type.RESET, null));
    }
    
    public static void resetTitle(ServerPlayerEntity p)
    {
        p.connection.sendPacket(new STitlePacket(STitlePacket.Type.RESET, null));
    }
    
    private static void setTitle(STitlePacket.Type a, ServerPlayerEntity p, String s)
    {
        p.connection.sendPacket(new STitlePacket(a, new StringTextComponent(s)));
    }
    
    public static void setTitle(ServerPlayerEntity p, String s)
    {
        setTitle(STitlePacket.Type.TITLE, p, s);
    }
    
    public static void setSubTitle(ServerPlayerEntity p, String s)
    {
        setTitle(STitlePacket.Type.SUBTITLE, p, s);
    }
}
